# Module `DESTROYUNITTYPESTASK`

Set TASK to destroy certain unit types.

## Global(s)

DESTROYUNITTYPESTASK |

## Type `DESTROYUNITTYPESTASK`

DESTROYUNITTYPESTASK.ClassName |
DESTROYUNITTYPESTASK.GoalVerb |
DESTROYUNITTYPESTASK.New(string, string, table, string, self, DestroyGroupType, DestroyUnitType, DestroyGroupNames, DestroyUnitTypes) | Creates a new DESTROYUNITTYPESTASK.
DESTROYUNITTYPESTASK.ReportGoalProgress(Group, Unit, self, DestroyGroup, DestroyUnit) | Report Goal Progress.

## Global(s)

#DESTROYUNITTYPESTASK DESTROYUNITTYPESTASK

## Type `DESTROYUNITTYPESTASK`

### Field(s)

#string DESTROYUNITTYPESTASK.ClassName

#string DESTROYUNITTYPESTASK.GoalVerb

DESTROYUNITTYPESTASK.New(string, string, table, string, self, DestroyGroupType, DestroyUnitType, DestroyGroupNames, DestroyUnitTypes)

  Creates a new DESTROYUNITTYPESTASK.

  ### Parameters

  - `string` : DestroyGroupType String describing the group to be destroyed. f.e. "Radar Installations", "Fleet", "Batallion", "Command Centers".

  - `string` : DestroyUnitType String describing the unit to be destroyed. f.e. "radars", "ships", "tanks", "centers".

  - `table` : string,...} DestroyGroupNames Table of string containing the group names of which the radars are be destroyed.

  - `string` : DestroyUnitTypes Table of string containing the type names of the units to achieve mission success.

  - `self` :

  - `DestroyGroupType` :

  - `DestroyUnitType` :

  - `DestroyGroupNames` :

  - `DestroyUnitTypes` :

  ### Return value

  DESTROYUNITTYPESTASK

DESTROYUNITTYPESTASK.ReportGoalProgress(Group, Unit, self, DestroyGroup, DestroyUnit)

  Report Goal Progress.

  ### Parameters

  - `Group` : DestroyGroup Group structure describing the group to be evaluated.

  - `Unit` : DestroyUnit Unit structure describing the Unit to be evaluated.

  - `self` :

  - `DestroyGroup` :

  - `DestroyUnit` :